# Keep all the images in one place
proc load_all_images {} {
  global cvscfg
  global cvsglb
  
  # App icons
  image create photo AppIcon64 -format gif -file [file join $cvscfg(bitmapdir) Toothyfish_128.gif]
  image create photo Blame -format gif -file [file join $cvscfg(bitmapdir) wm_blame.gif]
  image create photo Branch -format gif -file [file join $cvscfg(bitmapdir) wm_branch.gif]
  image create photo Merge -format gif -file [file join $cvscfg(bitmapdir) wm_merge.gif]
  image create photo Help -format gif -file [file join $cvscfg(bitmapdir) wm_help.gif]
  image create photo Says -format gif -file [file join $cvscfg(bitmapdir) wm_says.gif]
  image create photo Trace -format gif -file [file join $cvscfg(bitmapdir) wm_trace.gif]
  
  # Buttons
  set photodict [dict create]
  dict set photodict    Add	        add.gif
  dict set photodict    Annotate	annotate.gif
  dict set photodict    Branches	branch.gif
  dict set photodict    BranchNo	lightning.gif
  dict set photodict    Branchtag	branchtag.gif
  dict set photodict    Check	        check.gif
  dict set photodict    Checkin	        checkin.gif
  dict set photodict    Checkout	checkout.gif
  dict set photodict    CheckoutOpts	checkout_opts.gif
  dict set photodict    Conflict	conflict.gif
  dict set photodict    Delete	        delete.gif
  dict set photodict    Diff	        delta_feather.gif
  dict set photodict    Difflines	difflines.gif
  dict set photodict    DirBranches	dirbranch.gif
  dict set photodict    Dir_new	        folder_new.gif
  dict set photodict    Edit	        edit.gif
  dict set photodict    Export	        export.gif
  dict set photodict    Fileedit	fileedit.gif
  dict set photodict    Files	        files.gif
  dict set photodict    Fileview	fileview.gif
  dict set photodict    Folder	        dir.gif
  dict set photodict    GitCheckin	git_checkin.gif
  dict set photodict    GitCheckout	git_checkout.gif
  dict set photodict    Import	        import.gif
  dict set photodict    Lock	        locked.gif
  dict set photodict    Log	        log.gif
  dict set photodict    Man	        man.gif
  dict set photodict    Mergebranch	newmerge_simple.gif
  dict set photodict    Mergebranch	newmerge_simple.gif
  dict set photodict    Mergediff	newmerge.gif
  dict set photodict    Mergediff	newmerge.gif
  dict set photodict    Modules	        modbrowse.gif
  dict set photodict    Modules_cvs	modbrowse_cvs.gif
  dict set photodict    Modules_git	modbrowse_git.gif
  dict set photodict    Modules_svn	modbrowse_svn.gif
  dict set photodict    Patches	        rdiff.gif
  dict set photodict    Patchfile	patchfile.gif
  dict set photodict    Refresh	        loop-glasses.gif
  dict set photodict    Remove	        remove.gif
  dict set photodict    Revert	        loop-ball.gif
  dict set photodict    SvnRemove	delete_red.gif
  dict set photodict    Tag	        tag.gif
  dict set photodict    Tags	        tags.gif
  dict set photodict    UnLock	        unlocked.gif
  dict set photodict    Unedit	        unedit.gif
  dict set photodict    Who	        who.gif
  dict set photodict    Workdir	        folderopen.gif
  dict set photodict    arr_dn	        arrow_dn.gif
  dict set photodict    arr_up	        arrow_up.gif
  dict set photodict    updir	        updir.gif
  dict set photodict    adir	        adir.gif
  dict set photodict    amod	        amod.gif
  dict set photodict    dir	        dir.gif
  dict set photodict    mdir	        mdir.gif
  dict set photodict    mod	        mod.gif
  dict set photodict    cvsdir	        dir_cvs.gif
  dict set photodict    dir_minus	dir_minus.gif
  dict set photodict    dir_mod	        dir_mod.gif
  dict set photodict    dir_ok	        dir_ok.gif
  dict set photodict    dir_ood	        dir_ood.gif
  dict set photodict    dir_plus	dir_plus.gif
  dict set photodict    dir	        dir.gif
  dict set photodict    gitdir	        dir_git.gif
  dict set photodict    link	        link.gif
  dict set photodict    link_mod	link_mod.gif
  dict set photodict    link_modml	link_modml.gif
  dict set photodict    link_modol	link_modol.gif
  dict set photodict    link_ok	        link_ok.gif
  dict set photodict    link_okml	link_okml.gif
  dict set photodict    link_okol	link_okol.gif
  dict set photodict    link_plus	link_plus.gif
  dict set photodict    paper	        paper.gif
  dict set photodict    rcsdir	        dir_rcs.gif
  dict set photodict    stat_conf	stat_conf.gif
  dict set photodict    stat_cvsplus_kb	stat_plus_kb.gif
  dict set photodict    stat_ex	        stat_ex.gif
  dict set photodict    stat_kb	        stat_kb.gif
  dict set photodict    stat_merge	stat_merge.gif
  dict set photodict    stat_minus	stat_minus.gif
  dict set photodict    stat_mod	stat_mod.gif
  dict set photodict    stat_mod_green	stat_mod_green.gif
  dict set photodict    stat_mod_red	stat_mod_red.gif
  dict set photodict    stat_modml	stat_modml.gif
  dict set photodict    stat_modol	stat_modol.gif
  dict set photodict    stat_ok	        stat_ok.gif
  dict set photodict    stat_okml	stat_okml.gif
  dict set photodict    stat_okol	stat_okol.gif
  dict set photodict    stat_ood	stat_ood.gif
  dict set photodict    stat_oodml	stat_oodml.gif
  dict set photodict    stat_plus	stat_plus.gif
  dict set photodict    stat_ques	stat_ques.gif
  dict set photodict    svndir	        dir_svn.gif

  dict for {image gif} $photodict {
    image create photo $image -format gif -file [file join $cvscfg(bitmapdir) $gif]
    if {$cvscfg(large_icons)} {
      image create photo Zoomed -format gif
      # Enlarge the orignal and copy it into a temporary image
      Zoomed copy $image -zoom $cvscfg(icon_mag) $cvscfg(icon_mag)
      # empty the original. compositingrule doesn't seem to work
      $image blank 
      # copy the zoomed one back into the original
      $image copy Zoomed
      # Discard the temporary
      image delete Zoomed
    }
  }
  set cvsglb(mod_iconwidth) [image width paper]
  set cvsglb(mod_iconheight) [image height paper]
}

